Bug 245175 - mail/mutt: Upate to 1.13.5 and remove NNTP
Summary: mail/mutt: Upate to 1.13.5 and remove NNTP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://marc.info/?l=mutt-users&m=158...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-29 22:27 UTC by Derek Schrock
Modified: 2020-06-29 14:59 UTC (History)
1 user (show)

See Also:


Attachments
Update to 1.13.5 (25.75 KB, patch)
2020-03-29 22:27 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2020-03-29 22:27:29 UTC
Created attachment 212847 [details]
Update to 1.13.5

- Update to 1.13.5 [1]
- Bring back vvv quote/initials patches
- Remove NNTP option (XML as well)
- Update default option patches context

[1] https://marc.info/?l=mutt-users&m=158542977114051&w=2

portlint: ok. (3 benign warnings)
testport: ok. 12amd64
Comment 1 Automation User 2020-03-29 22:40:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/130844516
Comment 2 Kurt Jaeger freebsd_committer 2020-04-04 12:26:03 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-04-04 12:46:18 UTC
A commit references this bug:

Author: pi
Date: Sat Apr  4 12:26:05 UTC 2020
New revision: 530651
URL: https://svnweb.freebsd.org/changeset/ports/530651

Log:
  mail/mutt: upgrade 1.13.4 -> 1.13.5

  - Bring back vvv quote/initials patches
  - Remove NNTP option (XML as well)
  - Update default option patches context

  PR:		245175
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=158542977114051&w=2

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-nntp-depfiles
  head/mail/mutt/files/extra-patch-doc-ref
  head/mail/mutt/files/extra-patch-forcebase64-nntp
  head/mail/mutt/files/extra-patch-ifdef
  head/mail/mutt/files/extra-patch-maildir-mtime
  head/mail/mutt/files/extra-patch-maildir-mtime-nntp
  head/mail/mutt/files/extra-patch-reverse_reply
  head/mail/mutt/files/extra-patch-smartdate
  head/mail/mutt/files/patch-Makefile.in
  head/mail/mutt/files/patch-browser.c
  head/mail/mutt/files/patch-contrib_Makefile.in
  head/mail/mutt/files/patch-date-conditional
  head/mail/mutt/files/patch-dgc-deepif
  head/mail/mutt/files/patch-doc_Makefile.in
  head/mail/mutt/files/patch-doc_manual.xml.head
  head/mail/mutt/files/patch-muttlib.c
  head/mail/mutt/files/patch-smime-sender
  head/mail/mutt/files/patch-threadcomplete
  head/mail/mutt/pkg-plist
Comment 4 commit-hook freebsd_committer 2020-06-29 14:59:15 UTC
A commit references this bug:

Author: zeising
Date: Mon Jun 29 14:58:51 UTC 2020
New revision: 540778
URL: https://svnweb.freebsd.org/changeset/ports/540778

Log:
  MFH: r530651 r534246 r535833 r536629 r538859 r540343

  This updates mail/mutt to 1.14.5

  This merges all changes to mail/mutt that have been done to FreeBSD ports
  head branch during the 2020Q2 period.  This is needed in order to update
  mail/mutt to 1.14.5 in order to fix security issues.

  mail/mutt: upgrade 1.13.4 -> 1.13.5

  - Bring back vvv quote/initials patches
  - Remove NNTP option (XML as well)
  - Update default option patches context

  PR:		245175
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=158542977114051&w=2

  mail/mutt: update 1.13.5 -> 1.14.0

  - Default DEBUG option
    (very small performance impact and ~4% binary size increase)

  PR:		246270
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	http://www.mutt.org/relnotes/1.14/

  mail/mutt: update 1.14.0 -> 1.14.1

  - Rename DEBUG option to DEBUG_LOGS
  - Add lang/perl5 deps that triggers a Muttrc rebuild
  - Make smime patch optional due to perl build deps.
  - Remove unnecessary doc patches and REINPLACE_CMD
  - Move build changing patches to make targets
  - ASPELL updates the (pre)built Muttrc to not require a rebuild

  PR:		246559
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=158965668315387&w=2

  mail/mutt: Update to 1.14.2

  ChangeLog: http://www.mutt.org/

  PR:	246731
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

  mail/mutt: Update to 1.14.3

  - Update to 1.14.3
  - Muttrc removed from dist. making perl a BUILD_DEPENDS
  - manual.txt removed from dist. making lynx a DOCS_BUILD_DEPENDS
  - Remove MASTER_SITES not updated or can't connect

  PR:		247266
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com> (maintainer)
  Relnotes:	https://marc.info/?l=mutt-users&m=159217236324614&w=2

  mail/mutt: Update to 1.14.5

  Update mail/mutt to 1.14.5, this is a security fix release, with fixes for
  CVE-2020-14093 and CVE-2020-14954

  PR:		247400
  Submitted by:	Derek Schrock
  Security:	5b397852-b1d0-11ea-a11c-4437e6ad11c4
  		29b13a34-b1d2-11ea-a11c-4437e6ad11c4

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/mutt/Makefile
  branches/2020Q2/mail/mutt/distinfo
  branches/2020Q2/mail/mutt/files/extra-nntp-depfiles
  branches/2020Q2/mail/mutt/files/extra-patch-doc-ref
  branches/2020Q2/mail/mutt/files/extra-patch-forcebase64-nntp
  branches/2020Q2/mail/mutt/files/extra-patch-ifdef
  branches/2020Q2/mail/mutt/files/extra-patch-maildir-mtime
  branches/2020Q2/mail/mutt/files/extra-patch-maildir-mtime-nntp
  branches/2020Q2/mail/mutt/files/extra-patch-reverse_reply
  branches/2020Q2/mail/mutt/files/extra-patch-smartdate
  branches/2020Q2/mail/mutt/files/extra-smime-sender
  branches/2020Q2/mail/mutt/files/patch-Makefile.in
  branches/2020Q2/mail/mutt/files/patch-browser.c
  branches/2020Q2/mail/mutt/files/patch-contrib_Makefile.in
  branches/2020Q2/mail/mutt/files/patch-date-conditional
  branches/2020Q2/mail/mutt/files/patch-dgc-deepif
  branches/2020Q2/mail/mutt/files/patch-doc_Makefile.in
  branches/2020Q2/mail/mutt/files/patch-doc_manual.xml.head
  branches/2020Q2/mail/mutt/files/patch-muttlib.c
  branches/2020Q2/mail/mutt/files/patch-smime-sender
  branches/2020Q2/mail/mutt/files/patch-threadcomplete
  branches/2020Q2/mail/mutt/pkg-plist